package com.ag.baiduapi.pojo.ocr.invoice;

import java.util.List;

/**
 * @Author jean
 * @Date 2022/4/19 10:08
 * @Version 1.0
 */
public class WordsResult {

    private String InvoiceNum;
    private String SellerName;
    private List<CommodityTaxRate> CommodityTaxRate;
    private String SellerBank;
    private String Checker;
    private String TotalAmount;
    private List<CommodityAmount> CommodityAmount;
    private String InvoiceDate;
    private List<CommodityTax> CommodityTax;
    private String PurchaserName;
    private List<CommodityNum> CommodityNum;
    private String Province;
    private String City;
    private String SheetNum;
    private String Agent;
    private String PurchaserBank;
    private String Remarks;
    private String Password;
    private String SellerAddress;
    private String PurchaserAddress;
    private String InvoiceCode;
    private List<CommodityUnit> CommodityUnit;
    private String Payee;
    private String PurchaserRegisterNum;
    private List<CommodityPrice> CommodityPrice;
    private String NoteDrawer;
    private String AmountInWords;
    private String AmountInFiguers;
    private String TotalTax;
    private String InvoiceType;
    private String SellerRegisterNum;
    private List<CommodityName> CommodityName;
    private List<CommodityType> CommodityType;

    public String getInvoiceNum() {
        return InvoiceNum;
    }

    public void setInvoiceNum(String invoiceNum) {
        InvoiceNum = invoiceNum;
    }

    public String getSellerName() {
        return SellerName;
    }

    public void setSellerName(String sellerName) {
        SellerName = sellerName;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityTaxRate> getCommodityTaxRate() {
        return CommodityTaxRate;
    }

    public void setCommodityTaxRate(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityTaxRate> commodityTaxRate) {
        CommodityTaxRate = commodityTaxRate;
    }

    public String getSellerBank() {
        return SellerBank;
    }

    public void setSellerBank(String sellerBank) {
        SellerBank = sellerBank;
    }

    public String getChecker() {
        return Checker;
    }

    public void setChecker(String checker) {
        Checker = checker;
    }

    public String getTotalAmount() {
        return TotalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        TotalAmount = totalAmount;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityAmount> getCommodityAmount() {
        return CommodityAmount;
    }

    public void setCommodityAmount(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityAmount> commodityAmount) {
        CommodityAmount = commodityAmount;
    }

    public String getInvoiceDate() {
        return InvoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        InvoiceDate = invoiceDate;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityTax> getCommodityTax() {
        return CommodityTax;
    }

    public void setCommodityTax(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityTax> commodityTax) {
        CommodityTax = commodityTax;
    }

    public String getPurchaserName() {
        return PurchaserName;
    }

    public void setPurchaserName(String purchaserName) {
        PurchaserName = purchaserName;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityNum> getCommodityNum() {
        return CommodityNum;
    }

    public void setCommodityNum(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityNum> commodityNum) {
        CommodityNum = commodityNum;
    }

    public String getProvince() {
        return Province;
    }

    public void setProvince(String province) {
        Province = province;
    }

    public String getCity() {
        return City;
    }

    public void setCity(String city) {
        City = city;
    }

    public String getSheetNum() {
        return SheetNum;
    }

    public void setSheetNum(String sheetNum) {
        SheetNum = sheetNum;
    }

    public String getAgent() {
        return Agent;
    }

    public void setAgent(String agent) {
        Agent = agent;
    }

    public String getPurchaserBank() {
        return PurchaserBank;
    }

    public void setPurchaserBank(String purchaserBank) {
        PurchaserBank = purchaserBank;
    }

    public String getRemarks() {
        return Remarks;
    }

    public void setRemarks(String remarks) {
        Remarks = remarks;
    }

    public String getPassword() {
        return Password;
    }

    public void setPassword(String password) {
        Password = password;
    }

    public String getSellerAddress() {
        return SellerAddress;
    }

    public void setSellerAddress(String sellerAddress) {
        SellerAddress = sellerAddress;
    }

    public String getPurchaserAddress() {
        return PurchaserAddress;
    }

    public void setPurchaserAddress(String purchaserAddress) {
        PurchaserAddress = purchaserAddress;
    }

    public String getInvoiceCode() {
        return InvoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        InvoiceCode = invoiceCode;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityUnit> getCommodityUnit() {
        return CommodityUnit;
    }

    public void setCommodityUnit(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityUnit> commodityUnit) {
        CommodityUnit = commodityUnit;
    }

    public String getPayee() {
        return Payee;
    }

    public void setPayee(String payee) {
        Payee = payee;
    }

    public String getPurchaserRegisterNum() {
        return PurchaserRegisterNum;
    }

    public void setPurchaserRegisterNum(String purchaserRegisterNum) {
        PurchaserRegisterNum = purchaserRegisterNum;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityPrice> getCommodityPrice() {
        return CommodityPrice;
    }

    public void setCommodityPrice(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityPrice> commodityPrice) {
        CommodityPrice = commodityPrice;
    }

    public String getNoteDrawer() {
        return NoteDrawer;
    }

    public void setNoteDrawer(String noteDrawer) {
        NoteDrawer = noteDrawer;
    }

    public String getAmountInWords() {
        return AmountInWords;
    }

    public void setAmountInWords(String amountInWords) {
        AmountInWords = amountInWords;
    }

    public String getAmountInFiguers() {
        return AmountInFiguers;
    }

    public void setAmountInFiguers(String amountInFiguers) {
        AmountInFiguers = amountInFiguers;
    }

    public String getTotalTax() {
        return TotalTax;
    }

    public void setTotalTax(String totalTax) {
        TotalTax = totalTax;
    }

    public String getInvoiceType() {
        return InvoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        InvoiceType = invoiceType;
    }

    public String getSellerRegisterNum() {
        return SellerRegisterNum;
    }

    public void setSellerRegisterNum(String sellerRegisterNum) {
        SellerRegisterNum = sellerRegisterNum;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityName> getCommodityName() {
        return CommodityName;
    }

    public void setCommodityName(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityName> commodityName) {
        CommodityName = commodityName;
    }

    public List<com.ag.baiduapi.pojo.ocr.invoice.CommodityType> getCommodityType() {
        return CommodityType;
    }

    public void setCommodityType(List<com.ag.baiduapi.pojo.ocr.invoice.CommodityType> commodityType) {
        CommodityType = commodityType;
    }
}
